org.apache.http.client

## Class HttpResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.http.client.ClientProtocolException
        - - org.apache.http.client.HttpResponseException

- All Implemented Interfaces:
    Serializable

      public class HttpResponseException
      extends ClientProtocolException

  Signals a non 2xx HTTP response.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpResponseException(int statusCode, String reasonPhrase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReasonPhrase()`
    `int` | `getStatusCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpResponseException

          public HttpResponseException(int statusCode,
                               String reasonPhrase)

  - ### Method Detail

    - #### getStatusCode

          public int getStatusCode()

    - #### getReasonPhrase

          public String getReasonPhrase()

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.